
.module_header-block {
    position: relative;
    overflow: hidden;
    background-color: rgba(1, 1, 1, 0.1);
}

.header-block-overlay:before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    opacity: 0.2;
    mix-blend-mode: multiply;
    background-blend-mode: multiply;
    background-image: linear-gradient(to bottom, #000, #000);
}


.module_header-block h4 {
    font-size: clamp(1.4rem, calc(0.61rem + 2.03vw), 3rem);
    line-height: 1.07;
}

.module_header-block .container {
    position: relative;
    z-index: 1;
}

.module_header-block .vertical-centered {
    min-height: 75vh;
    padding-top: 13rem;
    padding-bottom: 13rem;
}

.module_header-block.header-block-swiper .vertical-centered {
    padding-top: 14rem;
    padding-bottom: 14rem;
}

.module_header-block .vertical-bottom {
    min-height: 75vh;
    padding-top: 12rem;
    padding-bottom: 6rem;
    align-items: flex-end;
    flex-wrap: wrap;
    display: flex;
}

.module_header-block .vertical-alignment {
    width: 100%;
}

.module_header-block h1 {
    text-transform: uppercase;
    text-wrap: balance;
}

.text-element h1 span {
    display: block;
}

.module_header-block h1.size-md {
    font-size: clamp(3.6rem, calc(4.35rem + 2.53vw), 6rem);
}

.module_header-block h1.size-sm {
    font-size: clamp(2rem, calc(1.96rem + 2.77vw), 4rem);
}

.module_header-block > picture {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.module_header-block > picture > img {
    width: 100%;
    height: 100%;
    inline-size: 100%;
    object-fit: cover;
    overflow: hidden;
}

.module_header-block > video {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
}

.module_header-block .icon_animated {
    position: absolute;
    bottom: 47px;
    left: 0;
    right: 0;
    width: 29px;
    height: 41px;
    margin: 0 auto;
    z-index: 1;
}

.module_header-block .icon_animated img {
    transform: translateX(-50%);
    animation: moveUpDown 1.5s infinite alternate;
    filter: invert(1);
}

.module_header-block .brand-icon-bg {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    text-align: right;
    mix-blend-mode: multiply;
}

.module_header-block .brand-icon-bg svg {
    max-height: 100%;
    max-width: 100%;
    height: 100%;
}


.hero-video:not(.banner-video-ended) + .hero-img,
.hero-video.banner-video-ended,
.module_header-block:has(.hide-brand-background) .brand-icon-bg,
.module_header-block .icon_animated.hide-icon {
    display: none;
}

:not(.header-block-overlay).module_header-block .button-element {
    text-align: center;
    position: absolute;
    bottom: 39px;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
}

.module_header-block .button-element .button {
    width: max-content;
}

.module_header-block .button-element .button:last-child {
    margin-right: 0 !important;
}

.button-element.button-element-group {
    margin-top: 5vh;
}

.header-block-swiper .swiper-pagination {
    bottom: 115px;
}

.header-block-swiper .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
    background-color: transparent;
}

.module_header-block .search-element {
    margin-top: 2rem;
}

.module_header-block .search-element form {
    position: relative;
    max-width: 812px;
}

.module_header-block .search-element-button {
    position: absolute;
    right: 0;
    top: 0;
    margin: 0;
    padding: 0;
    min-width: auto;
    background: var(--red);
    height: 100%;
    width: 70px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-color: var(--red);
}

.module_header-block .search-element-button svg {
    fill: #ffffff;
}


.module_header-block .horizontal-centered {
    text-align: center;
    justify-content: center;
    width: 100%;
}

/*.module_header-block .button-element.hero-center {*/
/*    position: inherit;*/
/*    transform: inherit;*/
/*    width: 100%;*/
/*    margin: auto 0;*/
/*}*/

@keyframes moveUpDown {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(10px);
    }
}

@media (min-width: 1025px) {

    .module_header-block .button-element .button {
        margin-right: 2rem;
    }
}

@media (max-width: 1180px) {
    .module_header-block h1 {
        hyphens: auto;
    }
}

@media (max-width: 578px) {
    .module_header-block .button-element .button {
        width: inherit;
    }
}

@media (min-width: 901px) and (max-width: 1024px) {
    .header-block-swiper .swiper-pagination {
        bottom: 120px !important;
        gap: 0;
    }

}

@media (max-width: 1024px) {
    .module_header-block .search-element {
        margin-top: 0;
        position: absolute;
        width: 100%;
        bottom: 2.8rem;
        left: 0;
    }

    .module_header-block .search-element-button {
        width: 50px;
    }

    .module_header-block .search-element-button svg {
        width: 14px;
    }

    .module_header-block .vertical-bottom {
        padding-bottom: 1.8rem;
    }

    .module_header-block form input[type=search] {
        font-size: 12px;
    }

    .module_header-block h1 {
        margin-bottom: 0;
    }

    .module_header-block .vertical-centered:has(.button-element-group) {
        padding-bottom: 30px;
    }

    .button-element {
        width: 100%;
    }
}


@media (max-width: 900px) {
    .module_header-block .brand-icon-bg {
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

    .module_header-block .button-element:not(.button-element-group) {
        bottom: 21px;
    }

    .module_header-block .brand-icon-bg svg {
        height: auto;
    }

    .header-block-swiper .swiper-pagination {
        bottom: 90px;
    }

    /*.vertical-centered:has(form) {*/
    /*    align-items: flex-start;*/
    /*}*/
}

@media (max-width: 991px) {
    /*.module_header-block .vertical-alignment .text-element .aos-init,*/
    /*.module_header-block .vertical-alignment .text-element h1,*/
    /*.module_header-block .vertical-alignment .text-element h2,*/
    /*.module_header-block .vertical-alignment .text-element h3,*/
    /*.module_header-block .vertical-alignment .text-element h4 {*/
    /*    hyphens: auto;*/
    /*}*/
}

@media (max-width: 767px) {
    .module_header-block .brand-icon-bg {
        display: none;
    }
}

@media (max-width: 568px) {
    .module_header-block .vertical-centered {
        padding-top: 8.4rem;
        padding-bottom: 3rem;
    }
}